from django.core.management import BaseCommand, CommandError
from django.db import OperationalError, connection


class Command(BaseCommand):
    help = "Pings the database"

    def handle(self, *args, **options):
        try:
            connection.ensure_connection()
        except OperationalError:
            raise CommandError("Database unavailable")

        self.stdout.write(self.style.SUCCESS("Database available"))
